csdoc(1)

NAME
csdoc - the C# documentation extraction utility

SYNOPSIS
csdoc [ options ] input ...

DESCRIPTION
Csdoc reads the supplied C# source files, and writes XML data to the file specified by the `-o' option, or to standard output if `-o' is not supplied. The supplied source files are parsed and processed using the first phases of semantic analysis. Thus, the source should be valid C#, or a compilation error may occur. Csdoc will not generate assembly or object code output. The XML output can be processed by tools such as csdoc2texi(1) to produce online or printed documentation.

OPTIONS
The csdoc command-line accepts all of the options that may be supplied to cscc(1). The following options have special significance to csdoc:

-o file
    Specify the name of the file to write the XML output to. The default is standard output. Specifying `-o -' will also write the XML to standard output.

-fprivate
    By default, csdoc will only write public types and members to the XML output. Specifying `-fprivate' will force csdoc to also include private types and members.

-flibrary-name=name
    Specify the library name to use for the types in the XML output file. By default, no library name is used.

AUTHOR
Written by Southern Storm Software, Pty Ltd. http://www.southern-storm.com.au/

SEE ALSO
csdoc2texi(1), cscc(1)

DIAGNOSTICS
Exit status is 1 if an error occurred while processing the input. Otherwise the exit status is 0.